<?php
/**
 * This snippet has been updated to reflect the official supporting of options pages by CMB2
 * in version 2.2.5.
 *
 * If you are using the old version of the options-page registration,
 * it is recommended you swtich to this method.
 */
add_action( 'cmb2_admin_init', 'kalabala_register_theme_options_metabox' );
/**
 * Hook in and register a metabox to handle a theme options page and adds a menu item.
 */
function kalabala_register_theme_options_metabox() {

	/**
	 * Registers options page menu item and form.
	 */
	$cmb = new_cmb2_box( array(
		'id'           => 'kalabala_option_metabox',
		'title'        => esc_html__( 'تنظیمات کالابالا', 'kalabala' ),
		'object_types' => array( 'options-page' ),

		/*
		 * The following parameters are specific to the options-page box
		 * Several of these parameters are passed along to add_menu_page()/add_submenu_page().
		 */

		'option_key'      => 'kalabala_options', // The option key and admin menu page slug.
		// 'icon_url'        => 'dashicons-palmtree', // Menu icon. Only applicable if 'parent_slug' is left empty.
		// 'menu_title'      => esc_html__( 'Options', 'kalabala' ), // Falls back to 'title' (above).
		// 'parent_slug'     => 'themes.php', // Make options page a submenu item of the themes menu.
		// 'capability'      => 'manage_options', // Cap required to view options-page.
		// 'position'        => 1, // Menu position. Only applicable if 'parent_slug' is left empty.
		// 'admin_menu_hook' => 'network_admin_menu', // 'network_admin_menu' to add network-level options page.
		// 'display_cb'      => false, // Override the options-page form output (CMB2_Hookup::options_page_output()).
		// 'save_button'     => esc_html__( 'Save Theme Options', 'kalabala' ), // The text for the options-page save button. Defaults to 'Save'.
	) );

	/*
	 * Options fields ids only need
	 * to be unique within this box.
	 * Prefix is not needed.
	 */

	$web_general_group = $cmb->add_field( array(
	'id'          => 'web_general_group',
	'type'        => 'group',
	'repeatable'  => false, // use false if you want non-repeatable group
	'options'     => array(
	'group_title' => __( 'تنظیمات عمومی', 'cmb2' ), // since version 1.1.4, {#} gets replaced by row number
	'closed'      => true,
	),
) );

// Id's for group's fields only need to be unique for the group. Prefix is not needed.
$cmb->add_group_field( $web_general_group, array(
	'name' => 'تنظیمات لوگو',
	'id'   => 'logo',
	'type' => 'file',
	'options' => array(
		'url' => false, // Hide the text input for the url
	),
) );

$cmb->add_group_field( $web_general_group, array(
	'name' => 'متن جایگزین تصویر',
	'id'   => 'alt',
	'type' => 'text',
	
) );

	$web_slider_group = $cmb->add_field( array(
	'id'          => 'web_slider_group',
	'type'        => 'group',
	//'repeatable'  => false, // use false if you want non-repeatable group
	'options'     => array(
	'group_title' => __( 'تنظیمات اسلایدر', 'cmb2' ), // since version 1.1.4, {#} gets replaced by row number
	'closed'      => true,
	),
) );

// Id's for group's fields only need to be unique for the group. Prefix is not needed.
$cmb->add_group_field( $web_slider_group, array(
	'name' => 'تنظیمات اسلایدر',
	'id'   => 'slider',
	'type' => 'file',
	'options' => array(
		'url' => false, // Hide the text input for the url
	),
) );


/*تنظیمات ads*/

$web_ads1_group = $cmb->add_field( array(
	'id'          => 'web_ads1_group',
	'type'        => 'group',
	'repeatable'  => false, // use false if you want non-repeatable group
	'options'     => array(
	'group_title' => __( 'تنظیمات تبلیغات 1 ', 'cmb2' ), // since version 1.1.4, {#} gets replaced by row number
	'closed'      => true,
	),
) );

// Id's for group's fields only need to be unique for the group. Prefix is not needed.
$cmb->add_group_field( $web_ads1_group, array(
	'name' => 'تبلیغ شماره یک ',
	'id'   => 'ads1',
	'type' => 'file',
	'options' => array(
		'url' => false, // Hide the text input for the url
	),
) );

$cmb->add_group_field( $web_ads1_group, array(
	'name' => 'متن جایگزین تصویر',
	'id'   => 'alt1',
	'type' => 'text',
	
) );
$web_ads2_group = $cmb->add_field( array(
	'id'          => 'web_ads2_group',
	'type'        => 'group',
	'repeatable'  => false, // use false if you want non-repeatable group
	'options'     => array(
	'group_title' => __( 'تنظیمات تبلیغات  2', 'cmb2' ), // since version 1.1.4, {#} gets replaced by row number
	'closed'      => true,
	),
) );

$cmb->add_group_field( $web_ads2_group, array(
	'name' => 'تبلیغ شماره دو ',
	'id'   => 'ads2',
	'type' => 'file',
	'options' => array(
		'url' => false, // Hide the text input for the url
	),
) );

$cmb->add_group_field( $web_ads2_group, array(
	'name' => 'متن جایگزین تصویر',
	'id'   => 'alt2',
	'type' => 'text',
	
) );



//*تنظیمات پیشنهاد شگفت انگیز*/
	$web_offer_group = $cmb->add_field( array(
	'id'          => 'web_offer_group',
	'type'        => 'group',
	//'repeatable'  => false, // use false if you want non-repeatable group
	'options'     => array(
	'group_title' => __( 'تنظیمات پیشنهاد شگفت انگیز', 'cmb2' ), // since version 1.1.4, {#} gets replaced by row number
	'closed'      => true,
	),
) );

// Id's for group's fields only need to be unique for the group. Prefix is not needed.
$cmb->add_group_field( $web_offer_group, array(
	'name' => 'عکس محصول',
	'id'   => 'logo',
	'type' => 'file',
	'options' => array(
		'url' => false, // Hide the text input for the url
	),
) );

$cmb->add_group_field( $web_offer_group, array(
	'name' => 'نام محصول',
	'id'   => 'title',
	'type' => 'text',
	
) );
$cmb->add_group_field( $web_offer_group, array(
	'name' => 'قیمت اصلی',
	'id'   => 'price',
	'type' => 'text',
	
) );
$cmb->add_group_field( $web_offer_group, array(
	'name' => 'قیمت تخفیف خورده',
	'id'   => 'offerprice',
	'type' => 'text',
	
) );
$cmb->add_group_field( $web_offer_group, array(
	'name' => 'تاریخ',
	'id'   => 'date',
	'type' => 'text_date',
	
) );
$cmb->add_group_field( $web_offer_group, array(
	'name' => 'لینک محصول',
	'id'   => 'lonk',
	'type' => 'text',
	
) );


//*تنظیمات بنر تبلیغاتی بالا*/
	$web_banner_group = $cmb->add_field( array(
	'id'          => 'web_banner_group',
	'type'        => 'group',
	'repeatable'  => false, // use false if you want non-repeatable group
	'options'     => array(
	'group_title' => __( 'تنظیمات بنر بالای سایت', 'cmb2' ), // since version 1.1.4, {#} gets replaced by row number
	'closed'      => true,
	),
) );

// Id's for group's fields only need to be unique for the group. Prefix is not needed.
$cmb->add_group_field( $web_banner_group, array(
	'name' => 'عکس تبلیغات ی بزرگ بالا',
	'id'   => 'logo',
	'type' => 'file',
	'options' => array(
		'url' => false, // Hide the text input for the url
	),
) );
$cmb->add_group_field( $web_banner_group, array(
	'name' => 'لینک محصول',
	'id'   => 'link',
	'type' => 'text_url',
	
) );


//*تنظیمات بنر تبلیغاتی چهار تایی*/
	$web_banner4_group = $cmb->add_field( array(
	'id'          => 'web_banner4_group',
	'type'        => 'group',
	//'repeatable'  => false, // use false if you want non-repeatable group
	'options'     => array(
	'group_title' => __( 'بنر تبلیغاتی چهار تایی', 'cmb2' ), // since version 1.1.4, {#} gets replaced by row number
	'closed'      => true,
	),
) );

// Id's for group's fields only need to be unique for the group. Prefix is not needed.
$cmb->add_group_field( $web_banner4_group, array(
	'name' => 'عکس محصول',
	'id'   => 'pic',
	'type' => 'file',
	'options' => array(
		'url' => false, // Hide the text input for the url
	),
) );
$cmb->add_group_field( $web_banner4_group, array(
	'name' => 'لینک محصول',
	'id'   => 'link',
	'type' => 'text_url',
	
) );



//*تنظیمات بنر تبلیغاتی چهار تایی دوم */
	$web_banner42_group = $cmb->add_field( array(
	'id'          => 'web_banner42_group',
	'type'        => 'group',
	//'repeatable'  => false, // use false if you want non-repeatable group
	'options'     => array(
	'group_title' => __( 'بنر تبلیغاتی چهار تایی دوم', 'cmb2' ), // since version 1.1.4, {#} gets replaced by row number
	'closed'      => true,
	),
) );

// Id's for group's fields only need to be unique for the group. Prefix is not needed.
$cmb->add_group_field( $web_banner42_group, array(
	'name' => 'عکس محصول',
	'id'   => 'pic',
	'type' => 'file',
	'options' => array(
		'url' => false, // Hide the text input for the url
	),
) );
$cmb->add_group_field( $web_banner42_group, array(
	'name' => 'لینک محصول',
	'id'   => 'link',
	'type' => 'text_url',
	
) );


//*تنظیمات اسلایدر لوگو*/
	$web_sliderlogo_group = $cmb->add_field( array(
	'id'          => 'web_sliderlogo_group',
	'type'        => 'group',
	//'repeatable'  => false, // use false if you want non-repeatable group
	'options'     => array(
	'group_title' => __( 'تنظیمات اسلایدر لوگو', 'cmb2' ), // since version 1.1.4, {#} gets replaced by row number
	'closed'      => true,
	),
) );

// Id's for group's fields only need to be unique for the group. Prefix is not needed.
$cmb->add_group_field( $web_sliderlogo_group, array(
	'name' => 'عکس لوگو',
	'id'   => 'pic',
	'type' => 'file',
	'options' => array(
		'url' => false, // Hide the text input for the url
	),
) );
$cmb->add_group_field( $web_sliderlogo_group, array(
	'name' => 'لینک محصول',
	'id'   => 'link',
	'type' => 'text_url',
	
) );

}

/**
 * Wrapper function around cmb2_get_option
 * @since  0.1.0
 * @param  string $key     Options array key
 * @param  mixed  $default Optional default value
 * @return mixed           Option value
 */
function kalabala_get_option( $key = '', $default = false ) {
	if ( function_exists( 'cmb2_get_option' ) ) {
		// Use cmb2_get_option as it passes through some key filters.
		return cmb2_get_option( 'kalabala_options', $key, $default );
	}

	// Fallback to get_option if CMB2 is not loaded yet.
	$opts = get_option( 'kalabala_options', $default );

	$val = $default;

	if ( 'all' == $key ) {
		$val = $opts;
	} elseif ( is_array( $opts ) && array_key_exists( $key, $opts ) && false !== $opts[ $key ] ) {
		$val = $opts[ $key ];
	}

	return $val;
}